
\section{Question 4}
For the following problems in "Question 4", we take the same values of the subject in frame 30 used in "Question 3". The CoM was recalculated based on the new foot mass and CoM location.
\subsection{Point A}
To calculate the moment of inertia of the leg about the hip joint (assuming no change in joint angles), the new CoM was calculated using the new distance of the foot CoM from the ankle \autoref{eq:31}.
Then we use the parallel axis theorem for calculating the moment of inertia about the hip \autoref{eq:32}.

\begin{equation}
    dist_{ankle_{comfoot}} = .06 m \\
\end{equation}

\begin{equation}
    \begin{aligned}
        Y_{com_{limb}} = (m_{foot} \times dist_{hip_{com-foot}} + m_{leg} \times dist_{hip_{com-leg}} \\
        + m_{thigh} \times dist_{hip_{com-thigh}})/  \\
        (m_{foot} + m_{leg} + m_{thigh}) \label{eq:31}
    \end{aligned}
\end{equation}

\begin{equation}
    \begin{aligned}
    I_{wholeLeg_com} = (m_{foot} + m_{leg} + m_{thigh}) \times \\ 
    (dist_{hip_{com-total}} + Y_{com_{limb}})^{2} \\
    + (m_{foot} + m_{leg} + m_{thigh})*(dist_{hip_{com-total}})^{2} \label{eq:32} 
\end{aligned}
\end{equation}

\begin{equation}
    I_{wholeLeg_com} = 1.8270 kg-m^{2}
\end{equation}

    
\subsection{Point B}
    
To determine the new moment of inertia about the hip, the new CoM distance from the ankle and foot mass are considered into the total CoM calculation. Once the leg CoM position is deteremined for the leg \autoref{eq:33} and the whole body, the moment of inertia is calculated using the parallel axis theorem \autoref{eq:34}. Between question "4A" and "4B" we can see the added foot mass has increased the moment of inertia baout the hip joint.
    
\begin{equation}
    dist_{ankle_com-foot} = 0.01
\end{equation}

\begin{equation}
    m_{foot} = 0.0145*m_{total} + 1.8
\end{equation}

\begin{equation}
    \begin{aligned}
        Y_{com_{limb}} = (m_{foot} \times dist_{hip_{com-foot}} + m_{leg}*dist_{hip_{com-leg}} + m_{thigh} \\
        \times dist_{hip_{com-thigh}} ) / (m_{foot} + m_{leg} + m_{thigh}) \label{eq:33} \\
    \end{aligned}
\end{equation}

\begin{equation}    
    \begin{aligned}
        I_{LegSki_{com}} = (m_{foot} + m_{leg} + m_{thigh})*(dist_{hip_{com-total}}+Y_{com_{limb}})^{2} + (m_{foot} \\
        + m_{leg} + m_{thigh})*(dist_{hip_{com-total}})^{2} \label{eq:34} \\
    \end{aligned}
\end{equation}

\begin{equation}
    I_{LegSki_com} =  2.2292 kg-m^{2}
\end{equation}